Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network233.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
233.0.0.0
Broadcast address
233.255.255.255
First usable
233.0.0.1
Last usable
233.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E9000000 · Integer 3909091328 to 3925868543
Reverse DNS zone
233.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101001..00000000.00000000.00000000233.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11101001..00000000.00000000.00000000233.0.0.0
Broadcast11101001..11111111.11111111.11111111233.255.255.255
Split into smaller subnets/16

233.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1233.0.0.0/16233.0.0.1 to 233.0.255.254233.0.255.25565,534
2233.1.0.0/16233.1.0.1 to 233.1.255.254233.1.255.25565,534
3233.2.0.0/16233.2.0.1 to 233.2.255.254233.2.255.25565,534
4233.3.0.0/16233.3.0.1 to 233.3.255.254233.3.255.25565,534
5233.4.0.0/16233.4.0.1 to 233.4.255.254233.4.255.25565,534
6233.5.0.0/16233.5.0.1 to 233.5.255.254233.5.255.25565,534
7233.6.0.0/16233.6.0.1 to 233.6.255.254233.6.255.25565,534
8233.7.0.0/16233.7.0.1 to 233.7.255.254233.7.255.25565,534
9233.8.0.0/16233.8.0.1 to 233.8.255.254233.8.255.25565,534
10233.9.0.0/16233.9.0.1 to 233.9.255.254233.9.255.25565,534
11233.10.0.0/16233.10.0.1 to 233.10.255.254233.10.255.25565,534
12233.11.0.0/16233.11.0.1 to 233.11.255.254233.11.255.25565,534
13233.12.0.0/16233.12.0.1 to 233.12.255.254233.12.255.25565,534
14233.13.0.0/16233.13.0.1 to 233.13.255.254233.13.255.25565,534
15233.14.0.0/16233.14.0.1 to 233.14.255.254233.14.255.25565,534
16233.15.0.0/16233.15.0.1 to 233.15.255.254233.15.255.25565,534
17233.16.0.0/16233.16.0.1 to 233.16.255.254233.16.255.25565,534
18233.17.0.0/16233.17.0.1 to 233.17.255.254233.17.255.25565,534
19233.18.0.0/16233.18.0.1 to 233.18.255.254233.18.255.25565,534
20233.19.0.0/16233.19.0.1 to 233.19.255.254233.19.255.25565,534
21233.20.0.0/16233.20.0.1 to 233.20.255.254233.20.255.25565,534
22233.21.0.0/16233.21.0.1 to 233.21.255.254233.21.255.25565,534
23233.22.0.0/16233.22.0.1 to 233.22.255.254233.22.255.25565,534
24233.23.0.0/16233.23.0.1 to 233.23.255.254233.23.255.25565,534
25233.24.0.0/16233.24.0.1 to 233.24.255.254233.24.255.25565,534
26233.25.0.0/16233.25.0.1 to 233.25.255.254233.25.255.25565,534
27233.26.0.0/16233.26.0.1 to 233.26.255.254233.26.255.25565,534
28233.27.0.0/16233.27.0.1 to 233.27.255.254233.27.255.25565,534
29233.28.0.0/16233.28.0.1 to 233.28.255.254233.28.255.25565,534
30233.29.0.0/16233.29.0.1 to 233.29.255.254233.29.255.25565,534
31233.30.0.0/16233.30.0.1 to 233.30.255.254233.30.255.25565,534
32233.31.0.0/16233.31.0.1 to 233.31.255.254233.31.255.25565,534
33233.32.0.0/16233.32.0.1 to 233.32.255.254233.32.255.25565,534
34233.33.0.0/16233.33.0.1 to 233.33.255.254233.33.255.25565,534
35233.34.0.0/16233.34.0.1 to 233.34.255.254233.34.255.25565,534
36233.35.0.0/16233.35.0.1 to 233.35.255.254233.35.255.25565,534
37233.36.0.0/16233.36.0.1 to 233.36.255.254233.36.255.25565,534
38233.37.0.0/16233.37.0.1 to 233.37.255.254233.37.255.25565,534
39233.38.0.0/16233.38.0.1 to 233.38.255.254233.38.255.25565,534
40233.39.0.0/16233.39.0.1 to 233.39.255.254233.39.255.25565,534
41233.40.0.0/16233.40.0.1 to 233.40.255.254233.40.255.25565,534
42233.41.0.0/16233.41.0.1 to 233.41.255.254233.41.255.25565,534
43233.42.0.0/16233.42.0.1 to 233.42.255.254233.42.255.25565,534
44233.43.0.0/16233.43.0.1 to 233.43.255.254233.43.255.25565,534
45233.44.0.0/16233.44.0.1 to 233.44.255.254233.44.255.25565,534
46233.45.0.0/16233.45.0.1 to 233.45.255.254233.45.255.25565,534
47233.46.0.0/16233.46.0.1 to 233.46.255.254233.46.255.25565,534
48233.47.0.0/16233.47.0.1 to 233.47.255.254233.47.255.25565,534
49233.48.0.0/16233.48.0.1 to 233.48.255.254233.48.255.25565,534
50233.49.0.0/16233.49.0.1 to 233.49.255.254233.49.255.25565,534
51233.50.0.0/16233.50.0.1 to 233.50.255.254233.50.255.25565,534
52233.51.0.0/16233.51.0.1 to 233.51.255.254233.51.255.25565,534
53233.52.0.0/16233.52.0.1 to 233.52.255.254233.52.255.25565,534
54233.53.0.0/16233.53.0.1 to 233.53.255.254233.53.255.25565,534
55233.54.0.0/16233.54.0.1 to 233.54.255.254233.54.255.25565,534
56233.55.0.0/16233.55.0.1 to 233.55.255.254233.55.255.25565,534
57233.56.0.0/16233.56.0.1 to 233.56.255.254233.56.255.25565,534
58233.57.0.0/16233.57.0.1 to 233.57.255.254233.57.255.25565,534
59233.58.0.0/16233.58.0.1 to 233.58.255.254233.58.255.25565,534
60233.59.0.0/16233.59.0.1 to 233.59.255.254233.59.255.25565,534
61233.60.0.0/16233.60.0.1 to 233.60.255.254233.60.255.25565,534
62233.61.0.0/16233.61.0.1 to 233.61.255.254233.61.255.25565,534
63233.62.0.0/16233.62.0.1 to 233.62.255.254233.62.255.25565,534
64233.63.0.0/16233.63.0.1 to 233.63.255.254233.63.255.25565,534
65233.64.0.0/16233.64.0.1 to 233.64.255.254233.64.255.25565,534
66233.65.0.0/16233.65.0.1 to 233.65.255.254233.65.255.25565,534
67233.66.0.0/16233.66.0.1 to 233.66.255.254233.66.255.25565,534
68233.67.0.0/16233.67.0.1 to 233.67.255.254233.67.255.25565,534
69233.68.0.0/16233.68.0.1 to 233.68.255.254233.68.255.25565,534
70233.69.0.0/16233.69.0.1 to 233.69.255.254233.69.255.25565,534
71233.70.0.0/16233.70.0.1 to 233.70.255.254233.70.255.25565,534
72233.71.0.0/16233.71.0.1 to 233.71.255.254233.71.255.25565,534
73233.72.0.0/16233.72.0.1 to 233.72.255.254233.72.255.25565,534
74233.73.0.0/16233.73.0.1 to 233.73.255.254233.73.255.25565,534
75233.74.0.0/16233.74.0.1 to 233.74.255.254233.74.255.25565,534
76233.75.0.0/16233.75.0.1 to 233.75.255.254233.75.255.25565,534
77233.76.0.0/16233.76.0.1 to 233.76.255.254233.76.255.25565,534
78233.77.0.0/16233.77.0.1 to 233.77.255.254233.77.255.25565,534
79233.78.0.0/16233.78.0.1 to 233.78.255.254233.78.255.25565,534
80233.79.0.0/16233.79.0.1 to 233.79.255.254233.79.255.25565,534
81233.80.0.0/16233.80.0.1 to 233.80.255.254233.80.255.25565,534
82233.81.0.0/16233.81.0.1 to 233.81.255.254233.81.255.25565,534
83233.82.0.0/16233.82.0.1 to 233.82.255.254233.82.255.25565,534
84233.83.0.0/16233.83.0.1 to 233.83.255.254233.83.255.25565,534
85233.84.0.0/16233.84.0.1 to 233.84.255.254233.84.255.25565,534
86233.85.0.0/16233.85.0.1 to 233.85.255.254233.85.255.25565,534
87233.86.0.0/16233.86.0.1 to 233.86.255.254233.86.255.25565,534
88233.87.0.0/16233.87.0.1 to 233.87.255.254233.87.255.25565,534
89233.88.0.0/16233.88.0.1 to 233.88.255.254233.88.255.25565,534
90233.89.0.0/16233.89.0.1 to 233.89.255.254233.89.255.25565,534
91233.90.0.0/16233.90.0.1 to 233.90.255.254233.90.255.25565,534
92233.91.0.0/16233.91.0.1 to 233.91.255.254233.91.255.25565,534
93233.92.0.0/16233.92.0.1 to 233.92.255.254233.92.255.25565,534
94233.93.0.0/16233.93.0.1 to 233.93.255.254233.93.255.25565,534
95233.94.0.0/16233.94.0.1 to 233.94.255.254233.94.255.25565,534
96233.95.0.0/16233.95.0.1 to 233.95.255.254233.95.255.25565,534
97233.96.0.0/16233.96.0.1 to 233.96.255.254233.96.255.25565,534
98233.97.0.0/16233.97.0.1 to 233.97.255.254233.97.255.25565,534
99233.98.0.0/16233.98.0.1 to 233.98.255.254233.98.255.25565,534
100233.99.0.0/16233.99.0.1 to 233.99.255.254233.99.255.25565,534
101233.100.0.0/16233.100.0.1 to 233.100.255.254233.100.255.25565,534
102233.101.0.0/16233.101.0.1 to 233.101.255.254233.101.255.25565,534
103233.102.0.0/16233.102.0.1 to 233.102.255.254233.102.255.25565,534
104233.103.0.0/16233.103.0.1 to 233.103.255.254233.103.255.25565,534
105233.104.0.0/16233.104.0.1 to 233.104.255.254233.104.255.25565,534
106233.105.0.0/16233.105.0.1 to 233.105.255.254233.105.255.25565,534
107233.106.0.0/16233.106.0.1 to 233.106.255.254233.106.255.25565,534
108233.107.0.0/16233.107.0.1 to 233.107.255.254233.107.255.25565,534
109233.108.0.0/16233.108.0.1 to 233.108.255.254233.108.255.25565,534
110233.109.0.0/16233.109.0.1 to 233.109.255.254233.109.255.25565,534
111233.110.0.0/16233.110.0.1 to 233.110.255.254233.110.255.25565,534
112233.111.0.0/16233.111.0.1 to 233.111.255.254233.111.255.25565,534
113233.112.0.0/16233.112.0.1 to 233.112.255.254233.112.255.25565,534
114233.113.0.0/16233.113.0.1 to 233.113.255.254233.113.255.25565,534
115233.114.0.0/16233.114.0.1 to 233.114.255.254233.114.255.25565,534
116233.115.0.0/16233.115.0.1 to 233.115.255.254233.115.255.25565,534
117233.116.0.0/16233.116.0.1 to 233.116.255.254233.116.255.25565,534
118233.117.0.0/16233.117.0.1 to 233.117.255.254233.117.255.25565,534
119233.118.0.0/16233.118.0.1 to 233.118.255.254233.118.255.25565,534
120233.119.0.0/16233.119.0.1 to 233.119.255.254233.119.255.25565,534
121233.120.0.0/16233.120.0.1 to 233.120.255.254233.120.255.25565,534
122233.121.0.0/16233.121.0.1 to 233.121.255.254233.121.255.25565,534
123233.122.0.0/16233.122.0.1 to 233.122.255.254233.122.255.25565,534
124233.123.0.0/16233.123.0.1 to 233.123.255.254233.123.255.25565,534
125233.124.0.0/16233.124.0.1 to 233.124.255.254233.124.255.25565,534
126233.125.0.0/16233.125.0.1 to 233.125.255.254233.125.255.25565,534
127233.126.0.0/16233.126.0.1 to 233.126.255.254233.126.255.25565,534
128233.127.0.0/16233.127.0.1 to 233.127.255.254233.127.255.25565,534
129233.128.0.0/16233.128.0.1 to 233.128.255.254233.128.255.25565,534
130233.129.0.0/16233.129.0.1 to 233.129.255.254233.129.255.25565,534
131233.130.0.0/16233.130.0.1 to 233.130.255.254233.130.255.25565,534
132233.131.0.0/16233.131.0.1 to 233.131.255.254233.131.255.25565,534
133233.132.0.0/16233.132.0.1 to 233.132.255.254233.132.255.25565,534
134233.133.0.0/16233.133.0.1 to 233.133.255.254233.133.255.25565,534
135233.134.0.0/16233.134.0.1 to 233.134.255.254233.134.255.25565,534
136233.135.0.0/16233.135.0.1 to 233.135.255.254233.135.255.25565,534
137233.136.0.0/16233.136.0.1 to 233.136.255.254233.136.255.25565,534
138233.137.0.0/16233.137.0.1 to 233.137.255.254233.137.255.25565,534
139233.138.0.0/16233.138.0.1 to 233.138.255.254233.138.255.25565,534
140233.139.0.0/16233.139.0.1 to 233.139.255.254233.139.255.25565,534
141233.140.0.0/16233.140.0.1 to 233.140.255.254233.140.255.25565,534
142233.141.0.0/16233.141.0.1 to 233.141.255.254233.141.255.25565,534
143233.142.0.0/16233.142.0.1 to 233.142.255.254233.142.255.25565,534
144233.143.0.0/16233.143.0.1 to 233.143.255.254233.143.255.25565,534
145233.144.0.0/16233.144.0.1 to 233.144.255.254233.144.255.25565,534
146233.145.0.0/16233.145.0.1 to 233.145.255.254233.145.255.25565,534
147233.146.0.0/16233.146.0.1 to 233.146.255.254233.146.255.25565,534
148233.147.0.0/16233.147.0.1 to 233.147.255.254233.147.255.25565,534
149233.148.0.0/16233.148.0.1 to 233.148.255.254233.148.255.25565,534
150233.149.0.0/16233.149.0.1 to 233.149.255.254233.149.255.25565,534
151233.150.0.0/16233.150.0.1 to 233.150.255.254233.150.255.25565,534
152233.151.0.0/16233.151.0.1 to 233.151.255.254233.151.255.25565,534
153233.152.0.0/16233.152.0.1 to 233.152.255.254233.152.255.25565,534
154233.153.0.0/16233.153.0.1 to 233.153.255.254233.153.255.25565,534
155233.154.0.0/16233.154.0.1 to 233.154.255.254233.154.255.25565,534
156233.155.0.0/16233.155.0.1 to 233.155.255.254233.155.255.25565,534
157233.156.0.0/16233.156.0.1 to 233.156.255.254233.156.255.25565,534
158233.157.0.0/16233.157.0.1 to 233.157.255.254233.157.255.25565,534
159233.158.0.0/16233.158.0.1 to 233.158.255.254233.158.255.25565,534
160233.159.0.0/16233.159.0.1 to 233.159.255.254233.159.255.25565,534
161233.160.0.0/16233.160.0.1 to 233.160.255.254233.160.255.25565,534
162233.161.0.0/16233.161.0.1 to 233.161.255.254233.161.255.25565,534
163233.162.0.0/16233.162.0.1 to 233.162.255.254233.162.255.25565,534
164233.163.0.0/16233.163.0.1 to 233.163.255.254233.163.255.25565,534
165233.164.0.0/16233.164.0.1 to 233.164.255.254233.164.255.25565,534
166233.165.0.0/16233.165.0.1 to 233.165.255.254233.165.255.25565,534
167233.166.0.0/16233.166.0.1 to 233.166.255.254233.166.255.25565,534
168233.167.0.0/16233.167.0.1 to 233.167.255.254233.167.255.25565,534
169233.168.0.0/16233.168.0.1 to 233.168.255.254233.168.255.25565,534
170233.169.0.0/16233.169.0.1 to 233.169.255.254233.169.255.25565,534
171233.170.0.0/16233.170.0.1 to 233.170.255.254233.170.255.25565,534
172233.171.0.0/16233.171.0.1 to 233.171.255.254233.171.255.25565,534
173233.172.0.0/16233.172.0.1 to 233.172.255.254233.172.255.25565,534
174233.173.0.0/16233.173.0.1 to 233.173.255.254233.173.255.25565,534
175233.174.0.0/16233.174.0.1 to 233.174.255.254233.174.255.25565,534
176233.175.0.0/16233.175.0.1 to 233.175.255.254233.175.255.25565,534
177233.176.0.0/16233.176.0.1 to 233.176.255.254233.176.255.25565,534
178233.177.0.0/16233.177.0.1 to 233.177.255.254233.177.255.25565,534
179233.178.0.0/16233.178.0.1 to 233.178.255.254233.178.255.25565,534
180233.179.0.0/16233.179.0.1 to 233.179.255.254233.179.255.25565,534
181233.180.0.0/16233.180.0.1 to 233.180.255.254233.180.255.25565,534
182233.181.0.0/16233.181.0.1 to 233.181.255.254233.181.255.25565,534
183233.182.0.0/16233.182.0.1 to 233.182.255.254233.182.255.25565,534
184233.183.0.0/16233.183.0.1 to 233.183.255.254233.183.255.25565,534
185233.184.0.0/16233.184.0.1 to 233.184.255.254233.184.255.25565,534
186233.185.0.0/16233.185.0.1 to 233.185.255.254233.185.255.25565,534
187233.186.0.0/16233.186.0.1 to 233.186.255.254233.186.255.25565,534
188233.187.0.0/16233.187.0.1 to 233.187.255.254233.187.255.25565,534
189233.188.0.0/16233.188.0.1 to 233.188.255.254233.188.255.25565,534
190233.189.0.0/16233.189.0.1 to 233.189.255.254233.189.255.25565,534
191233.190.0.0/16233.190.0.1 to 233.190.255.254233.190.255.25565,534
192233.191.0.0/16233.191.0.1 to 233.191.255.254233.191.255.25565,534
193233.192.0.0/16233.192.0.1 to 233.192.255.254233.192.255.25565,534
194233.193.0.0/16233.193.0.1 to 233.193.255.254233.193.255.25565,534
195233.194.0.0/16233.194.0.1 to 233.194.255.254233.194.255.25565,534
196233.195.0.0/16233.195.0.1 to 233.195.255.254233.195.255.25565,534
197233.196.0.0/16233.196.0.1 to 233.196.255.254233.196.255.25565,534
198233.197.0.0/16233.197.0.1 to 233.197.255.254233.197.255.25565,534
199233.198.0.0/16233.198.0.1 to 233.198.255.254233.198.255.25565,534
200233.199.0.0/16233.199.0.1 to 233.199.255.254233.199.255.25565,534
201233.200.0.0/16233.200.0.1 to 233.200.255.254233.200.255.25565,534
202233.201.0.0/16233.201.0.1 to 233.201.255.254233.201.255.25565,534
203233.202.0.0/16233.202.0.1 to 233.202.255.254233.202.255.25565,534
204233.203.0.0/16233.203.0.1 to 233.203.255.254233.203.255.25565,534
205233.204.0.0/16233.204.0.1 to 233.204.255.254233.204.255.25565,534
206233.205.0.0/16233.205.0.1 to 233.205.255.254233.205.255.25565,534
207233.206.0.0/16233.206.0.1 to 233.206.255.254233.206.255.25565,534
208233.207.0.0/16233.207.0.1 to 233.207.255.254233.207.255.25565,534
209233.208.0.0/16233.208.0.1 to 233.208.255.254233.208.255.25565,534
210233.209.0.0/16233.209.0.1 to 233.209.255.254233.209.255.25565,534
211233.210.0.0/16233.210.0.1 to 233.210.255.254233.210.255.25565,534
212233.211.0.0/16233.211.0.1 to 233.211.255.254233.211.255.25565,534
213233.212.0.0/16233.212.0.1 to 233.212.255.254233.212.255.25565,534
214233.213.0.0/16233.213.0.1 to 233.213.255.254233.213.255.25565,534
215233.214.0.0/16233.214.0.1 to 233.214.255.254233.214.255.25565,534
216233.215.0.0/16233.215.0.1 to 233.215.255.254233.215.255.25565,534
217233.216.0.0/16233.216.0.1 to 233.216.255.254233.216.255.25565,534
218233.217.0.0/16233.217.0.1 to 233.217.255.254233.217.255.25565,534
219233.218.0.0/16233.218.0.1 to 233.218.255.254233.218.255.25565,534
220233.219.0.0/16233.219.0.1 to 233.219.255.254233.219.255.25565,534
221233.220.0.0/16233.220.0.1 to 233.220.255.254233.220.255.25565,534
222233.221.0.0/16233.221.0.1 to 233.221.255.254233.221.255.25565,534
223233.222.0.0/16233.222.0.1 to 233.222.255.254233.222.255.25565,534
224233.223.0.0/16233.223.0.1 to 233.223.255.254233.223.255.25565,534
225233.224.0.0/16233.224.0.1 to 233.224.255.254233.224.255.25565,534
226233.225.0.0/16233.225.0.1 to 233.225.255.254233.225.255.25565,534
227233.226.0.0/16233.226.0.1 to 233.226.255.254233.226.255.25565,534
228233.227.0.0/16233.227.0.1 to 233.227.255.254233.227.255.25565,534
229233.228.0.0/16233.228.0.1 to 233.228.255.254233.228.255.25565,534
230233.229.0.0/16233.229.0.1 to 233.229.255.254233.229.255.25565,534
231233.230.0.0/16233.230.0.1 to 233.230.255.254233.230.255.25565,534
232233.231.0.0/16233.231.0.1 to 233.231.255.254233.231.255.25565,534
233233.232.0.0/16233.232.0.1 to 233.232.255.254233.232.255.25565,534
234233.233.0.0/16233.233.0.1 to 233.233.255.254233.233.255.25565,534
235233.234.0.0/16233.234.0.1 to 233.234.255.254233.234.255.25565,534
236233.235.0.0/16233.235.0.1 to 233.235.255.254233.235.255.25565,534
237233.236.0.0/16233.236.0.1 to 233.236.255.254233.236.255.25565,534
238233.237.0.0/16233.237.0.1 to 233.237.255.254233.237.255.25565,534
239233.238.0.0/16233.238.0.1 to 233.238.255.254233.238.255.25565,534
240233.239.0.0/16233.239.0.1 to 233.239.255.254233.239.255.25565,534
241233.240.0.0/16233.240.0.1 to 233.240.255.254233.240.255.25565,534
242233.241.0.0/16233.241.0.1 to 233.241.255.254233.241.255.25565,534
243233.242.0.0/16233.242.0.1 to 233.242.255.254233.242.255.25565,534
244233.243.0.0/16233.243.0.1 to 233.243.255.254233.243.255.25565,534
245233.244.0.0/16233.244.0.1 to 233.244.255.254233.244.255.25565,534
246233.245.0.0/16233.245.0.1 to 233.245.255.254233.245.255.25565,534
247233.246.0.0/16233.246.0.1 to 233.246.255.254233.246.255.25565,534
248233.247.0.0/16233.247.0.1 to 233.247.255.254233.247.255.25565,534
249233.248.0.0/16233.248.0.1 to 233.248.255.254233.248.255.25565,534
250233.249.0.0/16233.249.0.1 to 233.249.255.254233.249.255.25565,534
251233.250.0.0/16233.250.0.1 to 233.250.255.254233.250.255.25565,534
252233.251.0.0/16233.251.0.1 to 233.251.255.254233.251.255.25565,534
253233.252.0.0/16233.252.0.1 to 233.252.255.254233.252.255.25565,534
254233.253.0.0/16233.253.0.1 to 233.253.255.254233.253.255.25565,534
255233.254.0.0/16233.254.0.1 to 233.254.255.254233.254.255.25565,534
256233.255.0.0/16233.255.0.1 to 233.255.255.254233.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses